import abc


__license__ = "MIT"
__version__ = "0.1.dev3"
__author__ = "Ilia Korvigo"
__maintainer__ = "Ilia Korvigo"
__email__ = "ilia.korvigo@gmail.com"
__status__ = "Development"


__all__ = ["BaseNNet"]


class BaseNNet(metaclass=abc.ABCMeta):

    @abc.abstractmethod
    def train(self, *args, **kwargs):
        raise NotImplementedError

    @abc.abstractmethod
    def feed(self, *args, **kwargs):
        raise NotImplementedError

    @abc.abstractproperty
    def network(self):
        raise NotImplementedError


if __name__ == "__main__":
    raise RuntimeError
